Package org.eclipse.emf.compare.internal.conflict

# Class AttributeChangeConflictSearch

java.lang.Object
org.eclipse.emf.compare.internal.conflict.AttributeChangeConflictSearch

public class AttributeChangeConflictSearch extends Object
Search conflicts for `AttributeChange`s.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`AttributeChangeConflictSearch.Add`
Search conflicts for `AttributeChange` of kind `DifferenceKind.ADD`.
`static class`
`AttributeChangeConflictSearch.Change`
Search conflicts for `AttributeChange` of kind `DifferenceKind.CHANGE`.
`static class`
`AttributeChangeConflictSearch.Delete`
Search conflicts for `AttributeChange` of kind `DifferenceKind.DELETE`.
`static class`
`AttributeChangeConflictSearch.Move`
Search conflicts for `AttributeChange` of kind `DifferenceKind.MOVE`.

## Constructor Summary

Constructors
Constructor
Description
`AttributeChangeConflictSearch()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AttributeChangeConflictSearch

public AttributeChangeConflictSearch()